
Redmine - Defect #16558

Unable to change issue status

2014-04-08 09:26 - Steven Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.1

Description

When upgrading to 2.5.1 from 2.5.0 I am unable to change the status of issues!

Steps to reproduce:

1. Visit an issue.

2. Click edit to edit the issue.

3. Change the status of the issue.

4. Ajax request happens, and the form gets replaced out.

5. The issue status is now 'New'.

I'm using chrome.

I can believe that it's something about my setup, I don't have time at the moment to diagnose fully, but will perform a git bisect in a bit

and work out the exact commit that introduced this issue.

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

History

#1 - 2014-04-08 10:28 - Steven Jones

- Status changed from New to Resolved

Sorry!

This was actually a bug with the following plugin:

redmine_change_issue_author

https://github.com/mcl-de/redmine_change_issue_author

Which upon closer inspection actually re-parses rendered HTML to insert itself. Yuk!

#2 - 2014-04-08 18:16 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
